GDCM 2.2.1

- Main Page
- Related Pages
- Namespaces
- Classes
- Files
- Examples

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Types | Public Member Functions | List of all members
gdcm::PresentationContext Class Reference

PresentationContext. More...

`#include <gdcmPresentationContext.h>`

## Public Types

typedef TransferSyntaxArrayType::size_type | SizeType
typedef std::vector< std::string > | TransferSyntaxArrayType

## Public Member Functions

| PresentationContext ()
| PresentationContext (UIDs::TSName asname, UIDs::TSName tsname=UIDs::ImplicitVRLittleEndianDefaultTransferSyntaxforDICOM)
void | AddTransferSyntax (const char *tsstr)
const char * | GetAbstractSyntax () const
SizeType | GetNumberOfTransferSyntaxes () const
uint8_t | GetPresentationContextID () const
const char * | GetTransferSyntax (SizeType i) const
bool | operator== (const PresentationContext &pc) const
void | Print (std::ostream &os) const
void | SetAbstractSyntax (const char *as)
void | SetPresentationContextID (uint8_t id)

## Detailed Description

PresentationContext.

See Also
  PresentationContextAC PresentationContextRQ

## Member Typedef Documentation

typedef TransferSyntaxArrayType::size_type gdcm::PresentationContext::SizeType

typedef std::vector<std::string> gdcm::PresentationContext::TransferSyntaxArrayType

## Constructor & Destructor Documentation

gdcm::PresentationContext::PresentationContext | ( |  | ) |

gdcm::PresentationContext::PresentationContext | ( | UIDs::TSName | asname,
|  | UIDs::TSName | tsname = `UIDs::ImplicitVRLittleEndianDefaultTransferSyntaxforDICOM`
| ) |  |

Initialize Presentation Context with AbstractSyntax set to asname and with a single TransferSyntax set to tsname (dfault to Implicit VR LittleEndian when not specified ).

## Member Function Documentation

void gdcm::PresentationContext::AddTransferSyntax | ( | const char * | tsstr | ) |

const char* gdcm::PresentationContext::GetAbstractSyntax | ( |  | ) | const

inline

SizeType gdcm::PresentationContext::GetNumberOfTransferSyntaxes | ( |  | ) | const

inline

uint8_t gdcm::PresentationContext::GetPresentationContextID | ( |  | ) | const

const char* gdcm::PresentationContext::GetTransferSyntax | ( | SizeType | i | ) | const

inline

bool gdcm::PresentationContext::operator== | ( | const PresentationContext & | pc | ) | const

inline

void gdcm::PresentationContext::Print | ( | std::ostream & | os | ) | const

void gdcm::PresentationContext::SetAbstractSyntax | ( | const char * | as | ) |

inline

void gdcm::PresentationContext::SetPresentationContextID | ( | uint8_t | id | ) |

The documentation for this class was generated from the following file:

- gdcmPresentationContext.h